Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: Strange exception: Invalid annotation

Description

On my localhost everything was fine. When i upload the framework to my server, i got this exception:

Uncaught Exception
The @var annotation for
"Pixelbrand\MemberManager\Domain\Model\Contribution::$created" seems to
be invalid.

More Information

Exception code  #1284132314

File
/var/www/doms/cm.pixelbrand.biz/public_html/Packages/Framework/TYPO3.FLOW3/Classes/Reflection/ReflectionService.php
line 1121

Exception reference #201112120946518ea6d6

| tried different upload types (ASCII, binary, auto - i use FileZilla as FTP client), and i tried different linebreaks (NL,CR,both). Nothing
works at all...

The lines that throw the exception are:
e
* The created date
* @var \DateTime
*/
protected $created;

| got the same exception when i changed the annotation from DateTime to string or bool.

I think, if i remove this property, then the next one would throw another exception like above. | think so, because it is the first file in
model directory and the first property in this model class.

This seems to be similar to #31087.

I'm using PHP5.3.8 with FLOW1.0.1 but this happened to 1.0.0 as well.

Related issues:
related to TYPOS.Flow - Bug # 31087: Uncaught Exception: invalid annotation Closed 2011-10-19
related to TYPOS.Flow - Bug # 31363: Windows newline in annotation block thro...

Resolved

2011-10-27

Associated revisions

Revision 40af60c9 - 2011-12-15 17:25 - Karsten Dambekalns

[BUGFIX] "Wrong" EOL characters break parsing of doc comments

When \r\n was used as EOL instead of just \n the parsed doc comments
would retain the \r which would cause confusing exceptions in some

cases later on.

Change-Id: 1632ced42f1f337cb7546ed411bcfde2e92011c2e
Fixes: #31363

Related: #32466

Related: #31087

Releases: 1.0, 1.1

Revision 6ca1f9b2 - 2011-12-20 14:51 - Karsten Dambekalns

[BUGFIX] "Wrong" EOL characters break parsing of doc comments

When \r\n was used as EOL instead of just \n the parsed doc comments
would retain the \r which would cause confusing exceptions in some

cases later on.

Change-Id: 15210bb5308558640f7b1e567eaf9a184c1f5a2d5
Fixes: #31363

Related: #32466

Related: #31087

Releases: 1.0, 1.1

History

#1 - 2011-12-14 15:43 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

- Target version set to 1.0.2

#2 - 2011-12-15 17:27 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

See #31363 for the fix.
